MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SocketErrorMessage Class Reference

Helper class that formats a socket error message into a human-readable string. More...

`#include <SocketError.hxx>`

## Public Member Functions
| SocketErrorMessage (socket_error_t code=GetSocketError())
| operator const char * () const

## Detailed Description

Helper class that formats a socket error message into a human-readable string.

On Windows, a buffer is necessary for this, and this class hosts the buffer.

Definition at line 83 of file SocketError.hxx.

## Constructor & Destructor Documentation

SocketErrorMessage::SocketErrorMessage | ( | socket_error_t | code = `GetSocketError()` | ) |
| explicit

## Member Function Documentation

SocketErrorMessage::operator const char * | ( |  | ) | const
| inline

Definition at line 97 of file SocketError.hxx.

The documentation for this class was generated from the following file:

- net/SocketError.hxx